Subject: Re: [PATCH] 8xx: map_page() skip pinned region and tlbie debugging aid

From: Dan Malek <[email-masked]>
Date: Tue, 28 Jun 2005 09:53:26 -0400

On Jun 28, 2005, at 2:30 AM, Benjamin Herrenschmidt wrote:

> You should consider 8Mb pages the way we do BATs yes,

It's always been considered, just never fully implemented :-)

> Note that I'll soon send the patch I told you about that makes the
> virtual address picked by io_block_mapping() dynamic, so we no longer
> have to do crappy assumptions all over the place :)

Whatever, I'll never use it that way and no one else should either.
All of the io_block_mapping() calls should be used to set these 8M
mapped IO spaces, everyone should use ioremap() to map them,
and ioremap() has to be modified to find them for the 8xx.

Thanks.

	-- Dan